Subject: RE: [External] : bug#55862: Removing indent-tabs-mode set to t by default

From: goncholden <[email-masked]>
Date: Thu, 09 Jun 2022 16:35:35 +0000

Sent with Proton Mail secure email.
------- Original Message -------

On Friday, June 10th, 2022 at 4:06 AM, Drew Adams <[email-masked]> wrote:

> > It is worth reconsidering the decision to stick with tabs in future. I
> > do not know of any mechanism to show (with some symbol) the beginning
> > of each tab and the end of a line when space happens at the end of a
> > line.
>
>
> FWIW: You can use my library `highlight-chars.el' to highlight TAB chars (or any chars) individually: M-x hc-highlight-chars TAB [enter the face you want for it] Use` hc-toggle-highlight-trailing-whitespace' to
> highlight trailing whitespace with a different face.
>
> But as the code stands now, trailing whitespace
> includes TAB chars. As a quick hack you can edit
> `hc-highlight-trailing-whitespace' to remove TAB chars from the (hard-coded, so far) regexp of chars to match: (font-lock-add-keywords nil` (("[\u00a0\040\t]+$" ; <===== Remove \t
> (0 'hc-trailing-whitespace
> ,hc-font-lock-override)))
> 'APPEND)
>
> https://www.emacswiki.org/emacs/ShowWhiteSpace#HighlightChars
>
> https://www.emacswiki.org/emacs/download/highlight-chars.el
>
> [FWIW2: I'm one of the many who think the default
> should be changed to nil. There was a fair
> amount of discussion, but t carried the day.]

What about visws.el ?  Have tried using it but cannot get it to function.  I have done as follows and emacs did not respond well to it.

(defun visws ()
 "TODO"

 (add-to-list
 'load-path "~/contrib/visws")
 (require 'visible-whitespace-mode)
 (visible-whitespace-mode))